html {
  font-size: 10px;
  overflow-y: scroll;
  scrollbar-width: none;
}
html::-webkit-scrollbar {
  display: none;
}
body {
  width: 100vw;
  height: auto;
}

#appRoot {
  width: 100%;
  height: 69.85vw;
  max-height: 100dvh;
}

/* header */
header {
  position: fixed;
  top: 1.01vw;
  left: 1.01vw;
  padding: 0.34vw;
  z-index: 100;
}
header a {
  font-family: "AppleSDGothicNeoB";
  font-size: 1.341vw;
  letter-spacing: -0.067vw;
  color: white;
}
header a svg {
  width: 0.59vw;
  height: auto;
  aspect-ratio: 7 / 12;
  margin-right: 0.587vw;
}

/* swiper */
.swiper-pagination {
  position: unset !important;
  margin-top: -1.32vw;
}
.swiper-pagination-bullet {
  background: rgba(255, 255, 255, 0.50) !important;
}
.swiper-pagination-bullet {
  width: 0.68vw !important;
  height: 0.68vw !important;
}
.swiper-pagination-bullet-active {
  width: 1.68vw !important;
  border-radius: 66px !important;
  background: #fff !important;
}

/* button */
.btn-pack {
  display: inline-block;
  font-family: "AppleSDGothicNeoB";
  letter-spacing: -0.13vw;
  font-size: 2.69vw;
  font-weight: 400;
  text-align: center;
  line-height: 1.775;
  padding: 0 3.02vw;
  border-radius: 100px;
  background: #002855;
  color: #fff;
}
.btn-pack:disabled {
  opacity: 0.5;
}

/* Modal */
.modal-wrap {
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  display: none;
  z-index: 100;
}
.modal-wrap.active {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  background: rgba(0, 11, 22, 0.76);
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
  backdrop-filter: blur(4px);
  width: 100%;
  height: 100dvh;
}
.modal-wrap .modal-body {
  background: url("/assets/images/common/bg_popup.png") no-repeat center / 100% !important;
  border-radius: unset !important;
  position: relative;
  height: 52.52vw;
  aspect-ratio: 1;
  top: 50%;
  transform: translateY(-50%);
}
.modal-wrap[data-modal=submit_mail2] .modal-body {
  background: url("/assets/images/common/bg_popup2.png") no-repeat center / 100% !important;
}

.modal-wrap .modal-content {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.modal-wrap .modal-btn-close {
  background: url(/assets/images/common/btn_modal.png) no-repeat center / 100%;
  position: absolute;
  right: 2.43vw;
  top: 2.26vw;
  width: 1.76vw;
  height: auto;
  aspect-ratio: 1;
}
.modal-wrap[data-modal=submit_mail2] .modal-btn-close {
  background: url(/assets/images/common/btn_modal2.png) no-repeat center / 100%;
}
.modal-wrap .buttons button { 
  padding: 0 3.15vw;
  background: #8BACDF;
}
.modal-wrap[data-modal=submit_mail2] .buttons button { 
  background: #002855;
}

.modal-wrap .buttons {
  text-align: center;
}
.modal-wrap[data-modal*="step"] .title {
  font-family: 'AppleSDGothicNeoB';
  font-size: 2.35vw;
  line-height: 1.2;
  color: #fff;
  text-align: center;
  margin-top: -0.6vw;
  letter-spacing: -0.118vw;
}
.modal-wrap[data-modal*="step_error_select"] .title,
.modal-wrap[data-modal*="submit"] .title,
.modal-wrap[data-modal="step05_01"] .title {
  font-family: 'AppleSDGothicNeoB';
  font-size: 3.02vw;
  line-height: 1.1;
  color: #fff;
  text-align: center;
  margin-top: -0.1vw;
}
.modal-wrap[data-modal*="step_error_select"] .text,
.modal-wrap[data-modal*="step05_01"] .text,
.modal-wrap[data-modal*="submit"] .text {
  color: #FFF;
  text-align: center;
  font-family: 'AppleSDGothicNeoB';
  font-size: 2.52vw;
  font-style: normal;
  font-weight: 400;
  line-height: 1.2;
  letter-spacing: -0.126vw;
  margin: 2.1vw 0 3.1vw;
}
.modal-wrap[data-modal="submit_mail"] .text {
  font-family: 'AppleSDGothicNeoM';
  font-size: 1.34vw;
  line-height: 2vw;
  margin: 0.5vw 0 -1vw;
  letter-spacing: -0.067vw;
}
.modal-wrap .input.input-text {
  font-family: 'AppleSDGothicNeoB';
  padding: 0 1vw;
  width: 35.93vw;
  aspect-ratio: 429 / 54;
  height: auto;
  font-size: 2vw;
  background-color: #fff;
  border-radius: 100px;
  text-align: center;
  margin: 1.6vw 0 2.8vw;
}
.modal-wrap .input.input-text.input-textarea {
  aspect-ratio: unset;
  height: auto;
  max-width: 50vw;
  max-height: 7vw;
  min-height: 4.53vw;
  padding: 1.1vw 1vw;
}
.modal-wrap[data-modal="submit_mail2"] .title{
  font-family: 'AppleSDGothicNeoEB';
  color: #002855;  
  font-size: 2.35vw;
  line-height: 1.2;
  letter-spacing: -0.118vw;
}
.modal-wrap[data-modal="submit_mail2"] .text,
.modal-wrap[data-modal="submit_mail2"] .text2 {
  font-family: 'AppleSDGothicNeoM';
  color: #002855;  
  font-size: 1.34vw;
  line-height: 2vw;
  letter-spacing: -0.067vw;
  margin: 1.5vw 0 2.8vw;
  text-align: center;
}
.modal-wrap[data-modal="submit_mail2"] .text2 {
  margin: 2.8vw 0 1.5;
}
.modal-wrap[data-modal="submit_mail2"] .table {
  font-family: 'AppleSDGothicNeoEB';
  color: #002855;
  display: flex;
  flex-direction: column;
  font-size: 1.34vw;
  letter-spacing: -0.067vw;
  width: 40.54vw;
  border-width: 1px 0px 1px 0px;
  border-color: #002855;
  border-style: solid;
}
.modal-wrap[data-modal="submit_mail2"] .table > div {
  font-family: 'AppleSDGothicNeoM';
  display: flex;
  align-items: center;
}
.modal-wrap[data-modal="submit_mail2"] .table > div:first-child {
  font-family: 'AppleSDGothicNeoEB';
  background: #98AED04D;
  border-bottom: 1px solid #002855;
}
.modal-wrap[data-modal="submit_mail2"] .table > div > div {
  flex: 1 1 33%;
  text-align: center;
  line-height: 3.2;
  max-height: 48px;
}
.modal-wrap[data-modal="submit_mail2"] .check-group {
  font-family: 'AppleSDGothicNeoM';
  color: #002855;
  display: flex;
  margin-bottom: 3.3vw;
  font-size: 1.34vw;
  letter-spacing: -0.067vw;
  line-height: 1;
}
.modal-wrap[data-modal="submit_mail2"] .check-group input {
  display: none;
}
.modal-wrap[data-modal="submit_mail2"] .check-group > div {
  display: flex;
  align-items: center;
}
.modal-wrap[data-modal="submit_mail2"] .check-group > div:first-child {
  font-family: 'AppleSDGothicNeoEB';
}
.modal-wrap[data-modal="submit_mail2"] .check-group > div:nth-child(2) {
  margin: 0 1.34vw;
}
.modal-wrap[data-modal="submit_mail2"] .check-group input + label {
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.modal-wrap[data-modal="submit_mail2"] .check-group input + label span {
  width: 1.68vw;
  height: 1.68vw;
  border: 1px solid #3f342f80;
  display: inline-block;
  margin-right: 0.67vw;
  position: relative;
  margin-top: -4%;
}
.modal-wrap[data-modal="submit_mail2"] .check-group input:checked + label span:before {
  content: "";
  font-size: 1.5vw;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #002855;
  width: 1.01vw;
  height: 1.01vw;
  z-index: 100;
}
.modal-wrap[data-modal="candidate_modal"] .modal-body { 
  position: relative;
  background: none !important;
  height: 43.14vw;
  aspect-ratio: unset;
}
.modal-wrap[data-modal="candidate_modal"] .result-icecream .flavor {
  width: 23.62vw;
  top: 2.9vw;
} 
.modal-wrap[data-modal="candidate_modal"] .modal-content {
  justify-content: start;
  padding: 0;
}
.modal-wrap[data-modal="candidate_modal"] .modal-body .modal-btn-close {
  background: url(/assets/images/common/btn_candidate.png) no-repeat center / 100%;
  width: 3.7vw;
  aspect-ratio: 1;
  position: absolute;
  top: unset;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}

.modal-wrap[data-modal*="step"]  .modal-content img,
.modal-wrap[data-modal*="submit"]  .modal-content img {
  width: 26.22vw;
}